Package: org.gradle.api.artifacts.component

## [Java] Interface ProjectComponentSelector

- org.gradle.api.artifacts.component.ComponentSelector

- All Superinterfaces:
    ComponentSelector

  Criteria for selecting a component instance that is built as part of the current build.

  Since:
    1.10

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getProjectPath()` The path of the project to select the component from.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentSelector` | `getDisplayName, matchesStrictly`

- - ### Method Detail

    - #### public String getProjectPath()

      The path of the project to select the component from.

      Returns:
        Project path
      Since:
        1.10